Debian Bug report logs - #707985
ITP: libterm-ui-perl -- Term::ReadLine UI made easy

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 12 May 2013 12:36:01 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Fixed in version libterm-ui-perl/0.34-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#707985; Package wnpp. (Sun, 12 May 2013 12:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 12:36:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libterm-ui-perl -- Term::ReadLine UI made easy
Date: Sun, 12 May 2013 13:34:01 +0100
Package: wnpp
Severity: wishlist
Owner: Dominic Hargreaves <dom@earth.li>

* Package name    : libterm-ui-perl
  Version         : 0.34
  Upstream Author : Chris Williams <chris@bingosnet.co.uk>
* URL             : https://metacpan.org/release/Term-UI
* License         : Perl
  Programming Lang: Perl
  Description     : Term::ReadLine UI made easy

Term::UI is a transparent way of eliminating the overhead of having to
format a question and then validate the reply, informing the user if the
answer was not proper and re-issuing the question.

Simply give it the question you want to ask, optionally with choices the
user can pick from and a default and Term::UI will DWYM.

For asking a yes or no question, there's even a shortcut.

This module is being deprecated from the perl base distribution in
5.18.0, so it is planned to package it separately to provide continuity.        The perl 5.18 packages will depend on, recommend or suggest deprecated          modules for one release cycle, as appropriate.



Added indication that bug 707985 blocks 702096 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 12 May 2013 12:54:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 21:30:41 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:43 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:43 GMT) Full text and rfc822 format available.

Message #14 received at 707985-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 707985-close@bugs.debian.org
Subject: Bug#707985: fixed in libterm-ui-perl 0.34-1
Date: Fri, 31 May 2013 10:02:19 +0000
Source: libterm-ui-perl
Source-Version: 0.34-1

We believe that the bug you reported is fixed in the latest version of
libterm-ui-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libterm-ui-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 May 2013 20:43:39 +0200
Source: libterm-ui-perl
Binary: libterm-ui-perl
Architecture: source all
Version: 0.34-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libterm-ui-perl - Term::ReadLine UI made easy
Closes: 707985
Changes: 
 libterm-ui-perl (0.34-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #707985)
Checksums-Sha1: 
 a4eba064819eca6f47ff843544f96bea2b0919f8 2023 libterm-ui-perl_0.34-1.dsc
 f121b80987f13a78426cf655382b0ddd04534995 11777 libterm-ui-perl_0.34.orig.tar.gz
 887494a99a65ee636e2bd00c4df9f3c9029e325f 1481 libterm-ui-perl_0.34-1.debian.tar.gz
 5e87145b6181a15fc6da5de01eaac7d35537faa8 19718 libterm-ui-perl_0.34-1_all.deb
Checksums-Sha256: 
 7e26735d9ef5304f6dd4f0ed9051f5c9db4ce0bec6248dd38949fc449287c2a4 2023 libterm-ui-perl_0.34-1.dsc
 dc3701c597ffdf3d45f0b16c4196c3e556f6e0326e5736ce0281ffca56fda047 11777 libterm-ui-perl_0.34.orig.tar.gz
 bd3bcf54272280f3cbb59ab2d9f55902ec687dc73bfa94c919ba794ef0cc75b4 1481 libterm-ui-perl_0.34-1.debian.tar.gz
 903d3ac27bf69d3ff3f0b5f4a44bf641b326177234bb57e1412dd786f690b039 19718 libterm-ui-perl_0.34-1_all.deb
Files: 
 cedd1e39a68bdd7d1fe4d622ba5289e6 2023 perl optional libterm-ui-perl_0.34-1.dsc
 f3166a9ffc24446f8faabbb267b509d8 11777 perl optional libterm-ui-perl_0.34.orig.tar.gz
 3563f52ff3a5882376d70d6f83b435d6 1481 perl optional libterm-ui-perl_0.34-1.debian.tar.gz
 25a936de97dcb7cb6a3865c37529dbe0 19718 perl optional libterm-ui-perl_0.34-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmm7xAAoJELs6aAGGSaoG9wcP/R4hBhueR3xv1rbocOG4jon+
As91SR/IJbydVccq6+8QRche9icmqvpSm/MEFO5TwFLIKM2MDRXJfJCqs6JZZh1e
03V9KP34qYCq1+mjOy2aepILb2sFWp52kMRDn2a4tHJaLJK9EuAkX9mB3Re8BQcB
dMDPYBXL5ReNkDezCTsDIwQeahtBkeXbiCLhezEEeXJE1FLhpM7YMBhG3+izdvnC
GLmumCDZhOpwR6Wot+qUMsxBX3fWV09SK5mixthJrLkEpgjOsWOtGa4vktYHopno
KsGGTObKpqPdxy26gX2CVoAkGbD/EgcBuEiNXCYLr6r1VZS/Qvz88/fvs6M0AAfm
FfJZLbeOnbkGRHI+/d82MuYEhXb+Aa1lZPwuOCVBIF3XEuBPcF3283AmR2wPEFo8
2Ue+UeYeTeuELgMaiLYX6lup7rZqLFSxfFu9m5ShhROAKBehup1Pn2O0UTpWBj+P
Nqt49twx79M930ZhbaFS3BnMvCJGPw4WWG8dmYabl0hc9UptBTkacgEeNYCSgulp
aOpaPEdjZdMMhMrfA1a3kyKWEvn7zhY0xcoW7v/xhnxA9etHryiJhql2e5CEzDB5
BcA7yMvH6XkDv5OHBNTkZ878CIVpzWcdaG/AKmeioUkhU7raVAmJ7LChwsrj9CYU
NNK+gJphEtTJNpOGcEgn
=yrO1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:41:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:01:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.